# Serialized Form

- ## Package org.apache.cassandra.db

  - ### Class org.apache.cassandra.db.ColumnSerializer.CorruptColumnException extends java.io.IOException implements Serializable

  - ### Class org.apache.cassandra.db.KeyspaceNotDefinedException extends InvalidRequestException implements Serializable

  - ### Class org.apache.cassandra.db.UnknownColumnFamilyException extends java.io.IOException implements Serializable

    - ### Serialized Fields

      - #### cfId

            java.util.UUID cfId

- ## Package org.apache.cassandra.db.commitlog

  - ### Class org.apache.cassandra.db.commitlog.CommitLogReplayer.CommitLogReplayException extends java.io.IOException implements Serializable

- ## Package org.apache.cassandra.db.compaction

  - ### Class org.apache.cassandra.db.compaction.CompactionInfo extends java.lang.Object implements Serializable

    serialVersionUID:
      3695381572726744816L

    - ### Serialized Fields

      - #### cfm

            CFMetaData cfm

      - #### tasktype

            OperationType tasktype

      - #### completed

            long completed

      - #### total

            long total

      - #### unit

            java.lang.String unit

      - #### compactionId

            java.util.UUID compactionId

  - ### Class org.apache.cassandra.db.compaction.CompactionInterruptedException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      -8651427062512310398L

- ## Package org.apache.cassandra.db.filter

  - ### Class org.apache.cassandra.db.filter.TombstoneOverwhelmingException extends java.lang.RuntimeException implements Serializable

    - ### Serialized Fields

      - #### numTombstones

            int numTombstones

      - #### numRequested

            int numRequested

      - #### ksName

            java.lang.String ksName

      - #### cfName

            java.lang.String cfName

      - #### lastCellName

            java.lang.String lastCellName

      - #### slicesInfo

            java.lang.String slicesInfo

      - #### partitionKey

            java.lang.String partitionKey

- ## Package org.apache.cassandra.db.index

  - ### Class org.apache.cassandra.db.index.IndexNotAvailableException extends java.lang.RuntimeException implements Serializable

- ## Package org.apache.cassandra.dht

  - ### Class org.apache.cassandra.dht.AbstractBounds extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### left

            RingPosition<C extends RingPosition<C>> left

      - #### right

            RingPosition<C extends RingPosition<C>> right

  - ### Class org.apache.cassandra.dht.Bounds extends AbstractBounds<T extends RingPosition<T>> implements Serializable

  - ### Class org.apache.cassandra.dht.ByteOrderedPartitioner.BytesToken extends Token implements Serializable

    serialVersionUID:
      -2630749093733680626L

    - ### Serialized Fields

      - #### token

            byte[] token

  - ### Class org.apache.cassandra.dht.ExcludingBounds extends AbstractBounds<T extends RingPosition<T>> implements Serializable

  - ### Class org.apache.cassandra.dht.IncludingExcludingBounds extends AbstractBounds<T extends RingPosition<T>> implements Serializable

  - ### Class org.apache.cassandra.dht.LocalPartitioner.LocalToken extends org.apache.cassandra.dht.ComparableObjectToken<java.nio.ByteBuffer> implements Serializable

    serialVersionUID:
      8437543776403014875L

  - ### Class org.apache.cassandra.dht.Murmur3Partitioner.LongToken extends Token implements Serializable

    serialVersionUID:
      -5833580143318243006L

    - ### Serialized Fields

      - #### token

            long token

  - ### Class org.apache.cassandra.dht.OrderPreservingPartitioner.StringToken extends org.apache.cassandra.dht.ComparableObjectToken<java.lang.String> implements Serializable

    serialVersionUID:
      5464084395277974963L

  - ### Class org.apache.cassandra.dht.RandomPartitioner.BigIntegerToken extends org.apache.cassandra.dht.ComparableObjectToken<java.math.BigInteger> implements Serializable

    serialVersionUID:
      -5833589141319293006L

  - ### Class org.apache.cassandra.dht.Range extends AbstractBounds<T extends RingPosition<T>> implements Serializable

    serialVersionUID:
      1L

  - ### Class org.apache.cassandra.dht.Token extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.cassandra.exceptions

  - ### Class org.apache.cassandra.exceptions.AlreadyExistsException extends ConfigurationException implements Serializable

    - ### Serialized Fields

      - #### ksName

            java.lang.String ksName

      - #### cfName

            java.lang.String cfName

  - ### Class org.apache.cassandra.exceptions.AuthenticationException extends RequestValidationException implements Serializable

  - ### Class org.apache.cassandra.exceptions.CassandraException extends java.lang.RuntimeException implements Serializable

    - ### Serialized Fields

      - #### code

            ExceptionCode code

  - ### Class org.apache.cassandra.exceptions.ConfigurationException extends RequestValidationException implements Serializable

    - ### Serialized Fields

      - #### logStackTrace

            boolean logStackTrace

  - ### Class org.apache.cassandra.exceptions.FunctionExecutionException extends RequestExecutionException implements Serializable

    - ### Serialized Fields

      - #### functionName

            FunctionName functionName

      - #### argTypes

            java.util.List<E> argTypes

      - #### detail

            java.lang.String detail

  - ### Class org.apache.cassandra.exceptions.InvalidRequestException extends RequestValidationException implements Serializable

  - ### Class org.apache.cassandra.exceptions.IsBootstrappingException extends RequestExecutionException implements Serializable

  - ### Class org.apache.cassandra.exceptions.OverloadedException extends RequestExecutionException implements Serializable

  - ### Class org.apache.cassandra.exceptions.PreparedQueryNotFoundException extends RequestValidationException implements Serializable

    - ### Serialized Fields

      - #### id

            MD5Digest id

  - ### Class org.apache.cassandra.exceptions.ReadFailureException extends RequestFailureException implements Serializable

    - ### Serialized Fields

      - #### dataPresent

            boolean dataPresent

  - ### Class org.apache.cassandra.exceptions.ReadTimeoutException extends RequestTimeoutException implements Serializable

    - ### Serialized Fields

      - #### dataPresent

            boolean dataPresent

  - ### Class org.apache.cassandra.exceptions.RepairException extends java.lang.Exception implements Serializable

    - ### Serialized Fields

      - #### desc

            RepairJobDesc desc

  - ### Class org.apache.cassandra.exceptions.RequestExecutionException extends CassandraException implements Serializable

  - ### Class org.apache.cassandra.exceptions.RequestFailureException extends RequestExecutionException implements Serializable

    - ### Serialized Fields

      - #### consistency

            ConsistencyLevel consistency

      - #### received

            int received

      - #### failures

            int failures

      - #### blockFor

            int blockFor

  - ### Class org.apache.cassandra.exceptions.RequestTimeoutException extends RequestExecutionException implements Serializable

    - ### Serialized Fields

      - #### consistency

            ConsistencyLevel consistency

      - #### received

            int received

      - #### blockFor

            int blockFor

  - ### Class org.apache.cassandra.exceptions.RequestValidationException extends CassandraException implements Serializable

  - ### Class org.apache.cassandra.exceptions.StartupException extends java.lang.Exception implements Serializable

    - ### Serialized Fields

      - #### returnCode

            int returnCode

  - ### Class org.apache.cassandra.exceptions.SyntaxException extends RequestValidationException implements Serializable

  - ### Class org.apache.cassandra.exceptions.TruncateException extends RequestExecutionException implements Serializable

  - ### Class org.apache.cassandra.exceptions.UnauthorizedException extends RequestValidationException implements Serializable

  - ### Class org.apache.cassandra.exceptions.UnavailableException extends RequestExecutionException implements Serializable

    - ### Serialized Fields

      - #### consistency

            ConsistencyLevel consistency

      - #### required

            int required

      - #### alive

            int alive

  - ### Class org.apache.cassandra.exceptions.UnrecognizedEntityException extends InvalidRequestException implements Serializable

    - ### Serialized Fields

      - #### entity

            ColumnIdentifier entity

        The unrecognized entity.

      - #### relation

            Relation relation

        The entity relation.

  - ### Class org.apache.cassandra.exceptions.WriteFailureException extends RequestFailureException implements Serializable

    - ### Serialized Fields

      - #### writeType

            WriteType writeType

  - ### Class org.apache.cassandra.exceptions.WriteTimeoutException extends RequestTimeoutException implements Serializable

    - ### Serialized Fields

      - #### writeType

            WriteType writeType

- ## Package org.apache.cassandra.io

  - ### Class org.apache.cassandra.io.FSError extends java.io.IOError implements Serializable

    - ### Serialized Fields

      - #### path

            java.io.File path

  - ### Class org.apache.cassandra.io.FSReadError extends FSError implements Serializable

  - ### Class org.apache.cassandra.io.FSWriteError extends FSError implements Serializable

- ## Package org.apache.cassandra.io.compress

  - ### Class org.apache.cassandra.io.compress.CorruptBlockException extends java.io.IOException implements Serializable

- ## Package org.apache.cassandra.io.sstable

  - ### Class org.apache.cassandra.io.sstable.CorruptSSTableException extends java.lang.RuntimeException implements Serializable

    - ### Serialized Fields

      - #### path

            java.io.File path

- ## Package org.apache.cassandra.io.util

  - ### Class org.apache.cassandra.io.util.ChecksummedRandomAccessReader.CorruptFileException extends java.lang.RuntimeException implements Serializable

    - ### Serialized Fields

      - #### file

            java.io.File file

- ## Package org.apache.cassandra.serializers

  - ### Class org.apache.cassandra.serializers.MarshalException extends java.lang.RuntimeException implements Serializable

- ## Package org.apache.cassandra.service

  - ### Class org.apache.cassandra.service.DigestMismatchException extends java.lang.Exception implements Serializable

- ## Package org.apache.cassandra.streaming

  - ### Class org.apache.cassandra.streaming.ProgressInfo extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### peer

            java.net.InetAddress peer

      - #### sessionIndex

            int sessionIndex

      - #### fileName

            java.lang.String fileName

      - #### direction

            ProgressInfo.Direction direction

      - #### currentBytes

            long currentBytes

      - #### totalBytes

            long totalBytes

  - ### Class org.apache.cassandra.streaming.SessionInfo extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### peer

            java.net.InetAddress peer

      - #### sessionIndex

            int sessionIndex

      - #### connecting

            java.net.InetAddress connecting

      - #### receivingSummaries

            java.util.Collection<E> receivingSummaries

        Immutable collection of receiving summaries

      - #### sendingSummaries

            java.util.Collection<E> sendingSummaries

        Immutable collection of sending summaries

      - #### state

            StreamSession.State state

        Current session state

      - #### receivingFiles

            java.util.Map<K,V> receivingFiles

      - #### sendingFiles

            java.util.Map<K,V> sendingFiles

  - ### Class org.apache.cassandra.streaming.StreamException extends java.lang.Exception implements Serializable

    - ### Serialized Fields

      - #### finalState

            StreamState finalState

  - ### Class org.apache.cassandra.streaming.StreamState extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### planId

            java.util.UUID planId

      - #### description

            java.lang.String description

      - #### sessions

            java.util.Set<E> sessions

  - ### Class org.apache.cassandra.streaming.StreamSummary extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### cfId

            java.util.UUID cfId

      - #### files

            int files

        Number of files to transfer. Can be 0 if nothing to transfer for some streaming request.

      - #### totalSize

            long totalSize

- ## Package org.apache.cassandra.thrift

  - ### Class org.apache.cassandra.thrift.AuthenticationException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### why

            java.lang.String why

  - ### Class org.apache.cassandra.thrift.AuthenticationRequest extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### credentials

            java.util.Map<K,V> credentials

  - ### Class org.apache.cassandra.thrift.AuthorizationException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### why

            java.lang.String why

  - ### Class org.apache.cassandra.thrift.CASResult extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            boolean success

      - #### current_values

            java.util.List<E> current_values

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            CASResult._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.Cassandra.add_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_parent

            ColumnParent column_parent

      - #### column

            CounterColumn column

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.add_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.atomic_batch_mutate_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### mutation_map

            java.util.Map<K,V> mutation_map

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.atomic_batch_mutate_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.batch_mutate_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### mutation_map

            java.util.Map<K,V> mutation_map

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.batch_mutate_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.cas_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_family

            java.lang.String column_family

      - #### expected

            java.util.List<E> expected

      - #### updates

            java.util.List<E> updates

      - #### serial_consistency_level

            ConsistencyLevel serial_consistency_level

        See Also:
          `ConsistencyLevel`

      - #### commit_consistency_level

            ConsistencyLevel commit_consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.cas_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CASResult success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_cluster_name_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_cluster_name_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_keyspace_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keyspace

            java.lang.String keyspace

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_keyspace_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            KsDef success

      - #### nfe

            NotFoundException nfe

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_keyspaces_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_keyspaces_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_local_ring_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keyspace

            java.lang.String keyspace

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_local_ring_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_partitioner_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_partitioner_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_ring_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keyspace

            java.lang.String keyspace

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_ring_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_schema_versions_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_schema_versions_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.Map<K,V> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_snitch_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_snitch_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_splits_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### cfName

            java.lang.String cfName

      - #### start_token

            java.lang.String start_token

      - #### end_token

            java.lang.String end_token

      - #### keys_per_split

            int keys_per_split

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_splits_ex_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### cfName

            java.lang.String cfName

      - #### start_token

            java.lang.String start_token

      - #### end_token

            java.lang.String end_token

      - #### keys_per_split

            int keys_per_split

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_splits_ex_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_splits_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_token_map_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_token_map_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.Map<K,V> success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_version_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.describe_version_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_cql_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### query

            java.nio.ByteBuffer query

      - #### compression

            Compression compression

        See Also:
          `Compression`

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_cql_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CqlResult success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_cql3_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### query

            java.nio.ByteBuffer query

      - #### compression

            Compression compression

        See Also:
          `Compression`

      - #### consistency

            ConsistencyLevel consistency

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_cql3_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CqlResult success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_prepared_cql_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### itemId

            int itemId

      - #### values

            java.util.List<E> values

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_prepared_cql_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CqlResult success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_prepared_cql3_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### itemId

            int itemId

      - #### values

            java.util.List<E> values

      - #### consistency

            ConsistencyLevel consistency

        See Also:
          `ConsistencyLevel`

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Cassandra.execute_prepared_cql3_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CqlResult success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.get_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_path

            ColumnPath column_path

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.get_count_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_parent

            ColumnParent column_parent

      - #### predicate

            SlicePredicate predicate

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.get_count_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            int success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Cassandra.get_indexed_slices_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_parent

            ColumnParent column_parent

      - #### index_clause

            IndexClause index_clause

      - #### column_predicate

            SlicePredicate column_predicate

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.get_indexed_slices_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.get_multi_slice_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### request

            MultiSliceRequest request

  - ### Class org.apache.cassandra.thrift.Cassandra.get_multi_slice_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.get_paged_slice_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_family

            java.lang.String column_family

      - #### range

            KeyRange range

      - #### start_column

            java.nio.ByteBuffer start_column

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.get_paged_slice_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.get_range_slices_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_parent

            ColumnParent column_parent

      - #### predicate

            SlicePredicate predicate

      - #### range

            KeyRange range

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.get_range_slices_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.get_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            ColumnOrSuperColumn success

      - #### ire

            InvalidRequestException ire

      - #### nfe

            NotFoundException nfe

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.get_slice_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_parent

            ColumnParent column_parent

      - #### predicate

            SlicePredicate predicate

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.get_slice_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.List<E> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.insert_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_parent

            ColumnParent column_parent

      - #### column

            Column column

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.insert_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.login_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### auth_request

            AuthenticationRequest auth_request

  - ### Class org.apache.cassandra.thrift.Cassandra.login_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### authnx

            AuthenticationException authnx

      - #### authzx

            AuthorizationException authzx

  - ### Class org.apache.cassandra.thrift.Cassandra.multiget_count_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keys

            java.util.List<E> keys

      - #### column_parent

            ColumnParent column_parent

      - #### predicate

            SlicePredicate predicate

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.multiget_count_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.Map<K,V> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.multiget_slice_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keys

            java.util.List<E> keys

      - #### column_parent

            ColumnParent column_parent

      - #### predicate

            SlicePredicate predicate

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.multiget_slice_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.util.Map<K,V> success

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.prepare_cql_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### query

            java.nio.ByteBuffer query

      - #### compression

            Compression compression

        See Also:
          `Compression`

  - ### Class org.apache.cassandra.thrift.Cassandra.prepare_cql_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CqlPreparedResult success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.prepare_cql3_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### query

            java.nio.ByteBuffer query

      - #### compression

            Compression compression

        See Also:
          `Compression`

  - ### Class org.apache.cassandra.thrift.Cassandra.prepare_cql3_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            CqlPreparedResult success

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.remove_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_path

            ColumnPath column_path

      - #### timestamp

            long timestamp

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Cassandra.remove_counter_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### path

            ColumnPath path

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

  - ### Class org.apache.cassandra.thrift.Cassandra.remove_counter_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.remove_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.Cassandra.set_cql_version_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### version

            java.lang.String version

  - ### Class org.apache.cassandra.thrift.Cassandra.set_cql_version_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.set_keyspace_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keyspace

            java.lang.String keyspace

  - ### Class org.apache.cassandra.thrift.Cassandra.set_keyspace_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

  - ### Class org.apache.cassandra.thrift.Cassandra.system_add_column_family_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### cf_def

            CfDef cf_def

  - ### Class org.apache.cassandra.thrift.Cassandra.system_add_column_family_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

      - #### ire

            InvalidRequestException ire

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.system_add_keyspace_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ks_def

            KsDef ks_def

  - ### Class org.apache.cassandra.thrift.Cassandra.system_add_keyspace_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

      - #### ire

            InvalidRequestException ire

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.system_drop_column_family_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_family

            java.lang.String column_family

  - ### Class org.apache.cassandra.thrift.Cassandra.system_drop_column_family_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

      - #### ire

            InvalidRequestException ire

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.system_drop_keyspace_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keyspace

            java.lang.String keyspace

  - ### Class org.apache.cassandra.thrift.Cassandra.system_drop_keyspace_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

      - #### ire

            InvalidRequestException ire

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.system_update_column_family_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### cf_def

            CfDef cf_def

  - ### Class org.apache.cassandra.thrift.Cassandra.system_update_column_family_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

      - #### ire

            InvalidRequestException ire

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.system_update_keyspace_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ks_def

            KsDef ks_def

  - ### Class org.apache.cassandra.thrift.Cassandra.system_update_keyspace_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.lang.String success

      - #### ire

            InvalidRequestException ire

      - #### sde

            SchemaDisagreementException sde

  - ### Class org.apache.cassandra.thrift.Cassandra.trace_next_query_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.Cassandra.trace_next_query_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### success

            java.nio.ByteBuffer success

  - ### Class org.apache.cassandra.thrift.Cassandra.truncate_args extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### cfname

            java.lang.String cfname

  - ### Class org.apache.cassandra.thrift.Cassandra.truncate_result extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### ire

            InvalidRequestException ire

      - #### ue

            UnavailableException ue

      - #### te

            TimedOutException te

  - ### Class org.apache.cassandra.thrift.CfDef extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### keyspace

            java.lang.String keyspace

      - #### name

            java.lang.String name

      - #### column_type

            java.lang.String column_type

      - #### comparator_type

            java.lang.String comparator_type

      - #### subcomparator_type

            java.lang.String subcomparator_type

      - #### comment

            java.lang.String comment

      - #### read_repair_chance

            double read_repair_chance

      - #### column_metadata

            java.util.List<E> column_metadata

      - #### gc_grace_seconds

            int gc_grace_seconds

      - #### default_validation_class

            java.lang.String default_validation_class

      - #### id

            int id

      - #### min_compaction_threshold

            int min_compaction_threshold

      - #### max_compaction_threshold

            int max_compaction_threshold

      - #### key_validation_class

            java.lang.String key_validation_class

      - #### key_alias

            java.nio.ByteBuffer key_alias

      - #### compaction_strategy

            java.lang.String compaction_strategy

      - #### compaction_strategy_options

            java.util.Map<K,V> compaction_strategy_options

      - #### compression_options

            java.util.Map<K,V> compression_options

      - #### bloom_filter_fp_chance

            double bloom_filter_fp_chance

      - #### caching

            java.lang.String caching

      - #### dclocal_read_repair_chance

            double dclocal_read_repair_chance

      - #### memtable_flush_period_in_ms

            int memtable_flush_period_in_ms

      - #### default_time_to_live

            int default_time_to_live

      - #### speculative_retry

            java.lang.String speculative_retry

      - #### triggers

            java.util.List<E> triggers

      - #### cells_per_row_to_cache

            java.lang.String cells_per_row_to_cache

      - #### min_index_interval

            int min_index_interval

      - #### max_index_interval

            int max_index_interval

      - #### row_cache_size

            double row_cache_size

        Deprecated.

      - #### key_cache_size

            double key_cache_size

        Deprecated.

      - #### row_cache_save_period_in_seconds

            int row_cache_save_period_in_seconds

        Deprecated.

      - #### key_cache_save_period_in_seconds

            int key_cache_save_period_in_seconds

        Deprecated.

      - #### memtable_flush_after_mins

            int memtable_flush_after_mins

        Deprecated.

      - #### memtable_throughput_in_mb

            int memtable_throughput_in_mb

        Deprecated.

      - #### memtable_operations_in_millions

            double memtable_operations_in_millions

        Deprecated.

      - #### replicate_on_write

            boolean replicate_on_write

        Deprecated.

      - #### merge_shards_chance

            double merge_shards_chance

        Deprecated.

      - #### row_cache_provider

            java.lang.String row_cache_provider

        Deprecated.

      - #### row_cache_keys_to_save

            int row_cache_keys_to_save

        Deprecated.

      - #### populate_io_cache_on_flush

            boolean populate_io_cache_on_flush

        Deprecated.

      - #### index_interval

            int index_interval

        Deprecated.

      - #### __isset_bitfield

            int __isset_bitfield

      - #### optionals

            CfDef._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.CfSplit extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### start_token

            java.lang.String start_token

      - #### end_token

            java.lang.String end_token

      - #### row_count

            long row_count

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.Column extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.nio.ByteBuffer name

      - #### value

            java.nio.ByteBuffer value

      - #### timestamp

            long timestamp

      - #### ttl

            int ttl

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            Column._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.ColumnDef extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.nio.ByteBuffer name

      - #### validation_class

            java.lang.String validation_class

      - #### index_type

            IndexType index_type

        See Also:
          `IndexType`

      - #### index_name

            java.lang.String index_name

      - #### index_options

            java.util.Map<K,V> index_options

      - #### optionals

            ColumnDef._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.ColumnOrSuperColumn extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column

            Column column

      - #### super_column

            SuperColumn super_column

      - #### counter_column

            CounterColumn counter_column

      - #### counter_super_column

            CounterSuperColumn counter_super_column

      - #### optionals

            ColumnOrSuperColumn._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.ColumnParent extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_family

            java.lang.String column_family

      - #### super_column

            java.nio.ByteBuffer super_column

      - #### optionals

            ColumnParent._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.ColumnPath extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_family

            java.lang.String column_family

      - #### super_column

            java.nio.ByteBuffer super_column

      - #### column

            java.nio.ByteBuffer column

      - #### optionals

            ColumnPath._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.ColumnSlice extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### start

            java.nio.ByteBuffer start

      - #### finish

            java.nio.ByteBuffer finish

      - #### optionals

            ColumnSlice._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.CounterColumn extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.nio.ByteBuffer name

      - #### value

            long value

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.CounterSuperColumn extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.nio.ByteBuffer name

      - #### columns

            java.util.List<E> columns

  - ### Class org.apache.cassandra.thrift.CqlMetadata extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name_types

            java.util.Map<K,V> name_types

      - #### value_types

            java.util.Map<K,V> value_types

      - #### default_name_type

            java.lang.String default_name_type

      - #### default_value_type

            java.lang.String default_value_type

  - ### Class org.apache.cassandra.thrift.CqlPreparedResult extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### itemId

            int itemId

      - #### count

            int count

      - #### variable_types

            java.util.List<E> variable_types

      - #### variable_names

            java.util.List<E> variable_names

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            CqlPreparedResult._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.CqlResult extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### type

            CqlResultType type

        See Also:
          `CqlResultType`

      - #### rows

            java.util.List<E> rows

      - #### num

            int num

      - #### schema

            CqlMetadata schema

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            CqlResult._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.CqlRow extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### columns

            java.util.List<E> columns

  - ### Class org.apache.cassandra.thrift.Deletion extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### timestamp

            long timestamp

      - #### super_column

            java.nio.ByteBuffer super_column

      - #### predicate

            SlicePredicate predicate

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            Deletion._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.EndpointDetails extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### host

            java.lang.String host

      - #### datacenter

            java.lang.String datacenter

      - #### rack

            java.lang.String rack

      - #### optionals

            EndpointDetails._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.IndexClause extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Deprecated.
        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Deprecated.
        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### expressions

            java.util.List<E> expressions

        Deprecated.

      - #### start_key

            java.nio.ByteBuffer start_key

        Deprecated.

      - #### count

            int count

        Deprecated.

      - #### __isset_bitfield

            byte __isset_bitfield

        Deprecated.

  - ### Class org.apache.cassandra.thrift.IndexExpression extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_name

            java.nio.ByteBuffer column_name

      - #### op

            IndexOperator op

        See Also:
          `IndexOperator`

      - #### value

            java.nio.ByteBuffer value

  - ### Class org.apache.cassandra.thrift.InvalidRequestException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### why

            java.lang.String why

  - ### Class org.apache.cassandra.thrift.KeyCount extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### count

            int count

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.KeyRange extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### start_key

            java.nio.ByteBuffer start_key

      - #### end_key

            java.nio.ByteBuffer end_key

      - #### start_token

            java.lang.String start_token

      - #### end_token

            java.lang.String end_token

      - #### row_filter

            java.util.List<E> row_filter

      - #### count

            int count

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            KeyRange._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.KeySlice extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### columns

            java.util.List<E> columns

  - ### Class org.apache.cassandra.thrift.KsDef extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.lang.String name

      - #### strategy_class

            java.lang.String strategy_class

      - #### strategy_options

            java.util.Map<K,V> strategy_options

      - #### replication_factor

            int replication_factor

        Deprecated. ignored

      - #### cf_defs

            java.util.List<E> cf_defs

      - #### durable_writes

            boolean durable_writes

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            KsDef._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.MultiSliceRequest extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### key

            java.nio.ByteBuffer key

      - #### column_parent

            ColumnParent column_parent

      - #### column_slices

            java.util.List<E> column_slices

      - #### reversed

            boolean reversed

      - #### count

            int count

      - #### consistency_level

            ConsistencyLevel consistency_level

        See Also:
          `ConsistencyLevel`

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            MultiSliceRequest._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.Mutation extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_or_supercolumn

            ColumnOrSuperColumn column_or_supercolumn

      - #### deletion

            Deletion deletion

      - #### optionals

            Mutation._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.NotFoundException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.SchemaDisagreementException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

  - ### Class org.apache.cassandra.thrift.SlicePredicate extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### column_names

            java.util.List<E> column_names

      - #### slice_range

            SliceRange slice_range

      - #### optionals

            SlicePredicate._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.SliceRange extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### start

            java.nio.ByteBuffer start

      - #### finish

            java.nio.ByteBuffer finish

      - #### reversed

            boolean reversed

      - #### count

            int count

      - #### __isset_bitfield

            byte __isset_bitfield

  - ### Class org.apache.cassandra.thrift.SuperColumn extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.nio.ByteBuffer name

      - #### columns

            java.util.List<E> columns

  - ### Class org.apache.cassandra.thrift.TimedOutException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### acknowledged_by

            int acknowledged_by

        if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here. In case of atomic_batch_mutate method this field will be set to -1 if the batch was written to the batchlog and to 0 if it wasn't.

      - #### acknowledged_by_batchlog

            boolean acknowledged_by_batchlog

        in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.

      - #### paxos_in_progress

            boolean paxos_in_progress

        for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

      - #### __isset_bitfield

            byte __isset_bitfield

      - #### optionals

            TimedOutException._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.TokenRange extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### start_token

            java.lang.String start_token

      - #### end_token

            java.lang.String end_token

      - #### endpoints

            java.util.List<E> endpoints

      - #### rpc_endpoints

            java.util.List<E> rpc_endpoints

      - #### endpoint_details

            java.util.List<E> endpoint_details

      - #### optionals

            TokenRange._Fields[] optionals

  - ### Class org.apache.cassandra.thrift.TriggerDef extends java.lang.Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

    - ### Serialized Fields

      - #### name

            java.lang.String name

      - #### options

            java.util.Map<K,V> options

  - ### Class org.apache.cassandra.thrift.UnavailableException extends org.apache.thrift.TException implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

        Throws:
          `java.io.IOException`
          `java.lang.ClassNotFoundException`

      - #### writeObject

            private void writeObject(java.io.ObjectOutputStream out)
                              throws java.io.IOException

        Throws:
          `java.io.IOException`

- ## Package org.apache.cassandra.transport

  - ### Class org.apache.cassandra.transport.ProtocolException extends java.lang.RuntimeException implements Serializable

  - ### Class org.apache.cassandra.transport.ServerError extends java.lang.RuntimeException implements Serializable

- ## Package org.apache.cassandra.transport.messages

  - ### Class org.apache.cassandra.transport.messages.ErrorMessage.WrappedException extends java.lang.RuntimeException implements Serializable

    - ### Serialized Fields

      - #### streamId

            int streamId

- ## Package org.apache.cassandra.utils

  - ### Class org.apache.cassandra.utils.MerkleTree extends java.lang.Object implements Serializable

    serialVersionUID:
      2L

    - ### Serialized Fields

      - #### hashdepth

            byte hashdepth

      - #### fullRange

            Range<T extends RingPosition<T>> fullRange

        The top level range that this MerkleTree covers.

      - #### partitioner

            IPartitioner partitioner

      - #### maxsize

            long maxsize

      - #### size

            long size

      - #### root

            org.apache.cassandra.utils.MerkleTree.Hashable root

  - ### Class org.apache.cassandra.utils.MerkleTree.TreeDifference extends MerkleTree.TreeRange implements Serializable

    serialVersionUID:
      6363654174549968183L

    - ### Serialized Fields

      - #### sizeOnLeft

            long sizeOnLeft

      - #### sizeOnRight

            long sizeOnRight

      - #### rowsOnLeft

            long rowsOnLeft

      - #### rowsOnRight

            long rowsOnRight

  - ### Class org.apache.cassandra.utils.MerkleTree.TreeRange extends Range<Token> implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### tree

            MerkleTree tree

      - #### depth

            byte depth

      - #### hashable

            org.apache.cassandra.utils.MerkleTree.Hashable hashable

  - ### Class org.apache.cassandra.utils.NoSpamLogger.NoSpamLogStatement extends java.util.concurrent.atomic.AtomicLong implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### statement

            java.lang.String statement

      - #### minIntervalNanos

            long minIntervalNanos

  - ### Class org.apache.cassandra.utils.TopKSampler.SamplerResult extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### topK

            java.util.List<E> topK

      - #### cardinality

            long cardinality

Copyright © 2018 The Apache Software Foundation